=== modified file 'dhis-2/dhis-api/src/main/java/org/hisp/dhis/datalock/DataSetLock.java'
--- dhis-2/dhis-api/src/main/java/org/hisp/dhis/datalock/DataSetLock.java	2009-09-10 13:17:59 +0000
+++ dhis-2/dhis-api/src/main/java/org/hisp/dhis/datalock/DataSetLock.java	2009-09-14 16:07:07 +0000
@@ -39,7 +39,6 @@
  * @author Brajesh Murari
  * @version $Id$
  */
-
 public class DataSetLock implements Serializable
 {  
     /**

=== modified file 'dhis-2/dhis-services/dhis-service-administration/src/main/java/org/hisp/dhis/datalock/DefaultDataSetLockService.java'
--- dhis-2/dhis-services/dhis-service-administration/src/main/java/org/hisp/dhis/datalock/DefaultDataSetLockService.java	2009-09-10 13:17:59 +0000
+++ dhis-2/dhis-services/dhis-service-administration/src/main/java/org/hisp/dhis/datalock/DefaultDataSetLockService.java	2009-09-14 16:07:07 +0000
@@ -32,7 +32,6 @@
 import java.util.Set;
 
 import org.hisp.dhis.dataset.DataSet;
-import org.hisp.dhis.i18n.I18nService;
 import org.hisp.dhis.period.Period;
 import org.hisp.dhis.source.Source;
 import org.springframework.transaction.annotation.Transactional;
@@ -58,13 +57,6 @@
         this.dataSetLockStore = dataSetLockStore;
     }
     
-    private I18nService i18nService;
-
-    public void setI18nService( I18nService service )
-    {
-        i18nService = service;
-    }
-
     // -------------------------------------------------------------------------
     // DataSet
     // -------------------------------------------------------------------------
@@ -73,22 +65,16 @@
     {
         int id = dataSetLockStore.addDataSetLock( dataSetLock );
         
-        i18nService.addObject( dataSetLock );
-        
         return id;
     }
 
     public void updateDataSetLock( DataSetLock dataSetLock )
     {
         dataSetLockStore.updateDataSetLock( dataSetLock );
-        
-        i18nService.verify( dataSetLock );
     }
     
     public void deleteDataSetLock( DataSetLock dataSetLock )
-    {
-        i18nService.removeObject( dataSetLock );
-        
+    {        
         dataSetLockStore.deleteDataSetLock( dataSetLock );
     }
 

=== modified file 'dhis-2/dhis-services/dhis-service-administration/src/main/resources/META-INF/dhis/beans.xml'
--- dhis-2/dhis-services/dhis-service-administration/src/main/resources/META-INF/dhis/beans.xml	2009-09-14 16:00:37 +0000
+++ dhis-2/dhis-services/dhis-service-administration/src/main/resources/META-INF/dhis/beans.xml	2009-09-14 16:07:07 +0000
@@ -19,8 +19,6 @@
     class="org.hisp.dhis.datalock.DefaultDataSetLockService">
     <property name="dataSetLockStore"
       ref="org.hisp.dhis.datalock.DataSetLockStore"/>
-    <property name="i18nService"
-      ref="org.hisp.dhis.i18n.I18nService"/>
   </bean>
 	
   <!-- ResourceTable -->

